/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-retry.c=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/

/*********************************************************************
*
* Name        : retry.c   / * of sdbase * /
*
* Version     : $Revision 1.0$
*
* Description : Creates and connects TCP/IP sockets
*
* Written by  : Aju John
*
* e-mail      : mach@cs.wpi.edu
*
* Address     : Mach Research Group
*               Worcester Polytechnic Institute (WPI)
*               Computer Science Department
*               100 Institute Road,
*               Worcester MA 01609.
*               U.S.A
*               (508) 831-5357
*
************************************************************************/


#define BUFSIZE 32

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

#include <signal.h>
#include <netdb.h>
#include <ctype.h>

#include <arpa/telnet.h>
#include <arpa/nameser.h>
#include <resolv.h>


int
create_connect_socket(host_name,sin)
char host_name[BUFSIZE];
struct sockaddr_in *sin;
{
int net;
int connected = 0;
register struct hostent *host, *hp;
char h[32];
register char *s;
int i, errno;

    do {

        net = socket(AF_INET, SOCK_STREAM, 0);
        if (net < 0) {
            perror("socket: create_connect_socket()");
            return 0;
	  }
	if (connected)
	  printf("Retrying...\n");
        else
	  printf("Socket made.\nConnecting...\n");

        if (connect(net, (struct sockaddr *)sin, sizeof (* sin)) < 0) {


            perror("create_connect_socket(): Unable to connect to remote host");
            return(-1);
	  }
        connected++;
      } while (connected < 10);

return (net);


}



